[20.10 FEAT] Upgrade s390-tools to latest version -> 2.14 for kernel 5.8

Bug #1884721 reported by bugproxy
42
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
s390-tools (Ubuntu)
Fix Released
Undecided
Canonical Foundations Team

Bug Description

Upgrade to newest version 2.14, which combines updates for kernel 5.7+5.8.

You will get informed, once available upstream

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-186326 severity-high targetmilestone-inin2010
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (fheimes)
affects: linux (Ubuntu) → s390-tools (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

Thx for the heads-up - looks like 2.14 is coming next:
https://github.com/ibm-s390-tools/s390-tools/releases/
Changing to Incomplete until available ...

Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
status: Triaged → Incomplete
Changed in s390-tools (Ubuntu):
status: New → Incomplete
assignee: Skipper Bug Screeners (skipper-screen-team) → Canonical Foundations Team (canonical-foundations)
Revision history for this message
Frank Heimes (fheimes) wrote :

Some patches will be needed on top of 2.14, see also LP 1884736

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-08-21 06:40 EDT-------
New version of s390-tools available here:
https://github.com/ibm-s390-tools/s390-tools/releases/tag/v2.14.0

Revision history for this message
Andrew Cloke (andrew-cloke) wrote :

Changing status from "incomplete" to "new" as s390-tools v2.14 is now available upstream.

Changed in ubuntu-z-systems:
status: Incomplete → New
Changed in s390-tools (Ubuntu):
status: Incomplete → New
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: New → Triaged
information type: Private → Public
Changed in s390-tools (Ubuntu):
status: New → In Progress
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Triaged → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package s390-tools - 2.14.0-1ubuntu1

---------------
s390-tools (2.14.0-1ubuntu1) groovy; urgency=medium

  * Merge from Debian, remaining changes:
    - add libssl-dev, libglib2.0-dev build-deps
    - add support for signed zipl
    - package cpuplugd, osasnmpd, statd, zkey
    - update copyright file
    - fix kernel installer script integration, to skip calling zipl without initrd
    - load monwriter kernel module for mon_statd/mon_fsstatd
    - do not run dumpconf in lxc
    - ziomon change exit code to 0 for version and help
    - add zkey initramfs hook
    - change zkey default back to argon2i
    - drop patch that disables building osasnmpd
    - drop udevpath patch to init script, systemd units are used instead
    - enable hardening
    - enable initramfs & dracut integration
    - install more utilities and zdev initramfs integration
    - setup users/groups for mon_*, iucvterm, zkey
    - setup crashkernel integration
    - ship zdev in udeb
    - drop ziomon package, shipped in the main package

  * New upstream release fixes LP: #1892350, LP: #1888231, LP: #1884773,
    LP: #1884744, LP: #1884721

s390-tools (2.14.0-1) unstable; urgency=medium

  * New upstream release.

s390-tools (2.3.0-2) unstable; urgency=medium

  * Hardcode perl dependency instead of using ${perl:Depends}.
    The latter introduces a multi-arch dependency (perl:any) that the
    base installation environment cannot cope with.

 -- Dimitri John Ledkov <email address hidden> Wed, 26 Aug 2020 11:11:23 +0100

Changed in s390-tools (Ubuntu):
status: In Progress → Fix Released
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: In Progress → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-09-01 02:32 EDT-------
IBM Bugzilla status->closed, Fix Released with groovy

tags: added: id-5f43e057d3a32b4ec6c28507
tags: added: fr-219
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers